/* $Id: pstream.c,v 1.2 2001/11/25 15:23:40 aa5779 Exp $ */
/*
	Copyright (C) 2001 Artem V. Andreev (artem@AA5779.spb.edu)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include "dstring.h"
#include "util.h"
#include "interp.h"
#include "bstream.h"
#define PSTREAM_IMP
#include "pstream.h"

stream_class pipe_stream_class = {"pipe", ps_open, bs_close, bs_read, bs_writestr, 
								   bs_writetag, bs_ioctl, bs_getpos,
								   bs_setpos, bs_rewind};

stream *ps_open(interpreter *i, char *name, char *sname, int writeable)
{
	dstring *temp = ds_create("pipe://");
	ds_appendstr(temp, sname);
	return bs_open(i, name, DS_BODY(temp), writeable);
}
